import { BaseConnectionOptions } from "../../connection/BaseConnectionOptions";
/**
 * Sqlite-specific connection options.
 */
export interface SqliteConnectionOptions extends BaseConnectionOptions {
    /**
     * Database type.
     */
    readonly type: "sqlite" | "sqlcipher";
    /**
     * Storage type or path to the storage.
     */
    readonly database: string;
    readonly moduleName?: string;
    /**
     * Encryption key for for SQLCipher.
     */
    readonly key?: string;
    readonly cipherPageSize?: string;
    readonly callback?: <T>(db: T) => void;
}
